/*
 * multichannelaudio.h:
 *
 * See the main source file 'vdr.c' for copyright information and
 * how to reach the author.
 *
 */

#ifndef __MULTICHANNELAUDIO_H
#define __MULTICHANNELAUDIO_H

#include "thread.h"
#include "tools.h"

class cAudioEncapsulator;
class cRingBufferFrame;

class cMultichannelAudio : public cMutex {
private:
  cAudioEncapsulator *encapsulator;
  cRingBufferFrame *ringBuffer;
  int ptsFlags, ptsDelay, offset;
  uchar *ptsData;
  bool fixed;
public:
  cMultichannelAudio(cRingBufferFrame *rb);
  virtual ~cMultichannelAudio();
  int Check(uchar *b, int length, uchar *header);
  int Offset(void) { return offset; }
  void Encapsulate(uchar *b, int length);
  void Clear();
  void Reset();
  //void Mute(bool Mute);
};

#endif // __MULTICHANNELAUDIO_H

